(function ($) {
  $.extend($.summernote.lang, {
    'ru-RU': {
      font: {
        bold: summernote_locales.font.bold,
        italic: summernote_locales.font.italic,
        underline: summernote_locales.font.underline,
        clear: summernote_locales.font.clear,
        height: summernote_locales.font.height,
        name: summernote_locales.font.name,
        strikethrough: summernote_locales.font.strikethrough,
        subscript: summernote_locales.font.subscript,
        superscript: summernote_locales.font.superscript,
        size: summernote_locales.font.size
      },
      image: {
          image: summernote_locales.image.image,
          insert: summernote_locales.image.insert,
          resizeFull: summernote_locales.image.resizeFull,
          resizeHalf: summernote_locales.image.resizeHalf,
          resizeQuarter: summernote_locales.image.resizeQuarter,
          floatLeft: summernote_locales.image.floatLeft,
          floatRight: summernote_locales.image.floatRight,
          floatNone: summernote_locales.image.floatNone,
          shapeRounded: summernote_locales.image.shapeRounded,
          shapeCircle: summernote_locales.image.shapeCircle,
          shapeThumbnail: summernote_locales.image.shapeThumbnail,
          shapeNone: summernote_locales.image.shapeNone,
          dragImageHere: summernote_locales.image.dragImageHere,
          dropImage: summernote_locales.image.dropImage,
          selectFromFiles: summernote_locales.image.selectFromFiles,
          url: summernote_locales.image.url,
          remove: summernote_locales.image.remove
      },
      video: {
        video: summernote_locales.video.video,
        videoLink: summernote_locales.video.videoLink,
        insert: summernote_locales.video.insert,
        url: summernote_locales.video.url,
        providers: summernote_locales.video.providers
      },
      link: {
        link: summernote_locales.link.link,
        insert: summernote_locales.link.insert,
        unlink: summernote_locales.link.unlink,
        edit: summernote_locales.link.edit,
        textToDisplay: summernote_locales.link.textToDisplay,
        url: summernote_locales.link.url,
        openInNewWindow: summernote_locales.link.openInNewWindow
      },
      table: {
        table: summernote_locales.table.table
      },
      hr: {
        insert: summernote_locales.hr.insert
      },
      style: {
        style: summernote_locales.style.style,
        p: summernote_locales.style.p,
        blockquote: summernote_locales.style.blockquote,
        pre: summernote_locales.style.pre,
        h1: summernote_locales.style.h1,
        h2: summernote_locales.style.h2,
        h3: summernote_locales.style.h3,
        h4: summernote_locales.style.h4,
        h5: summernote_locales.style.h5,
        h6: summernote_locales.style.h6
      },
      lists: {
        unordered: summernote_locales.lists.unordered,
        ordered: summernote_locales.lists.ordered
      },
      options: {
        help: summernote_locales.options.help,
        fullscreen: summernote_locales.options.fullscreen,
        codeview: summernote_locales.options.codeview
      },
      paragraph: {
        paragraph: summernote_locales.paragraph.paragraph,
        outdent: summernote_locales.paragraph.outdent,
        indent: summernote_locales.paragraph.indent,
        left: summernote_locales.paragraph.left,
        center: summernote_locales.paragraph.center,
        right: summernote_locales.paragraph.right,
        justify: summernote_locales.paragraph.justify
      },
      color: {
        recent: summernote_locales.color.recent,
        more: summernote_locales.color.more,
        background: summernote_locales.color.background,
        foreground: summernote_locales.color.foreground,
        transparent: summernote_locales.color.transparent,
        setTransparent: summernote_locales.color.setTransparent,
        reset: summernote_locales.color.reset,
        resetToDefault: summernote_locales.color.resetToDefault
      },
      shortcut: {
        shortcuts: summernote_locales.shortcut.shortcuts,
        close: summernote_locales.shortcut.close,
        textFormatting: summernote_locales.shortcut.textFormatting,
        action: summernote_locales.shortcut.action,
        paragraphFormatting: summernote_locales.shortcut.paragraphFormatting,
        documentStyle: summernote_locales.shortcut.documentStyle,
        extraKeys: summernote_locales.shortcut.extraKeys
      },
      history: {
        undo: summernote_locales.history.undo,
        redo: summernote_locales.history.redo
      },
      videoUpload: {
          dialogTitle: summernote_locales.videoUpload.dialogTitle,
          tooltip: summernote_locales.videoUpload.tooltip,
          href: summernote_locales.videoUpload.href,
          somethingWrong: summernote_locales.videoUpload.somethingWrong,
          note: summernote_locales.videoUpload.note,
          selectFromFiles: summernote_locales.videoUpload.selectFromFiles,
          maxUploadSize: summernote_locales.videoUpload.maxUploadSize,
          videoFileType: summernote_locales.videoUpload.videoFileType,
          ok: summernote_locales.videoUpload.ok,
          cancel: summernote_locales.videoUpload.cancel
      },
      audioUpload: {
          dialogTitle: summernote_locales.audioUpload.dialogTitle,
          tooltip: summernote_locales.audioUpload.tooltip,
          href: summernote_locales.audioUpload.href,
          note: summernote_locales.audioUpload.note,
          somethingWrong: summernote_locales.audioUpload.somethingWrong,
          selectFromFiles: summernote_locales.audioUpload.selectFromFiles,
          maxUploadSize: summernote_locales.audioUpload.maxUploadSize,
          audioFileType: summernote_locales.audioUpload.audioFileType,
          ok: summernote_locales.audioUpload.ok,
          cancel: summernote_locales.audioUpload.cancel
      },
      emojiUpload: {
          tooltip: summernote_locales.emojiUpload.tooltip,
      }
    }
  });
})(jQuery);
